function [filt_vzorky,odpoved_filt] = audspec_RPLP(vykon_spektrum, vzorkovacia, pocet_filtrov, min_frek, max_frek, bwidth)

if nargin < 2;  vzorkovacia = 16000;                          end
if nargin < 3;  pocet_filtrov = 24;      end
if nargin < 4;  min_frek = 0;    end
if nargin < 5;  max_frek = vzorkovacia/2;    end
if nargin < 6;  bwidth = 1.0;   end

[frek,ramce] = size(vykon_spektrum);

nfft = (frek-1)*2;

odpoved_filt = fft2melmx_RPLP(nfft, vzorkovacia, pocet_filtrov, bwidth, min_frek, max_frek);   %odpove filtra

odpoved_filt = odpoved_filt(:, 1:frek);

filt_vzorky = odpoved_filt * vykon_spektrum;      %kazda vzorka sa vynasobi odpovedou filtra


end